Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
GETSSO OperationsSince 3.5.1SynchronousAuth Required

GetCandidateLdapEntryForIAM2Binding

GetCandidateLdapEntryForIAM2Binding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • ldapFilterStringRequired

    The AD/LDAP query filter.

  • limitInteger

    Optional. The limit of AD/LDAP query entries.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • inventoriesListRequired

    No description provided.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/iam2/ldap/entries/candidates

/zstack/v1/iam2/ldap/entries/candidates

Operation ID

GetCandidateLdapEntryForIAM2Binding

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/iam2/ldap/entries/candidates?ldapFilter=<ldapFilter>&limit=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [] }

Change History

This API has no change history records yet.

View all change history